Bug 219185 - sysutils/docker-freebsd: Request MAINTAINER'ship
Summary: sysutils/docker-freebsd: Request MAINTAINER'ship
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-10 07:57 UTC by Jov
Modified: 2017-07-15 14:07 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jov 2017-05-10 07:57:34 UTC

    
Comment 1 commit-hook freebsd_committer 2017-05-17 11:16:11 UTC
A commit references this bug:

Author: wen
Date: Wed May 17 11:15:10 UTC 2017
New revision: 441078
URL: https://svnweb.freebsd.org/changeset/ports/441078

Log:
  - Pass maintainership to submitter

  PR:		219185
  Submitted by:	amutu@amutu.com

Changes:
  head/sysutils/docker-freebsd/Makefile
Comment 2 Wen Heping freebsd_committer 2017-05-17 13:30:54 UTC
Reopen it.
Comment 3 Baptiste Daroussin freebsd_committer 2017-05-25 20:37:12 UTC
There is already sysutils/docker, what is the difference with that port?

imho that one should just be removed, I am wrong?
Comment 4 Nikolai Lifanov freebsd_committer 2017-05-25 22:10:04 UTC
The sysutils/docker port is the port for Docker client, which combined with sysutils/docker-machine produces the experience on par to Docker on macOS.

The sysutils/docker-freebsd is a port by Kris of the effort made circa 2012 to bring Docker server up on FreeBSD.

There is currently a separate effort to get the server component working on FreeBSD which is taking a separate approach and when that's ready, sysutils/docker-freebsd should be deleted.
Comment 5 Nikolai Lifanov freebsd_committer 2017-05-25 22:10:46 UTC
Also, sysutils/docker follows upstream and is *the* official Docker code.
Comment 6 Jov 2017-05-26 08:43:24 UTC
I don't think this port should be deleted.

sysutils/docker only includes the official Docker client.

sysutils/docker-machine is docker MANAGE tool, it can create docker instance on different platforms(aws,vbox,digitocean,mac os) which must have driver plugins first.You can think docker-machine as Ansible or similar tools, which can manage Apache HTTPd instance on different OS, but someone must port httpd to different OS and write ansible playbook for each platform first.For Mac OS,dockder-machine use Xhyve to create docker, see :https://github.com/docker/docker.github.io/blob/master/machine/AVAILABLE_DRIVER_PLUGINS.md

sysutils/docker-freebsd port the dockder to FreeBSD using jail and linux emulation. It can make setup and manage linux jail on freebsd more convince and has benefit for FreeBSD to leverage the docker ecology. 

I am trying to update dockder-freebsd,see:
https://github.com/amutu/docker
this need some time.And I hope eventually push the patch to upstream.

Thanks!
Comment 7 Nikolai Lifanov freebsd_committer 2017-05-26 13:10:58 UTC
Hmm, cool. Another group is working on the same thing.
I'll try to get you in touch with them...
Comment 8 Yonas Yanfa 2017-07-15 13:51:07 UTC
Thanks for working on this!

The main problem with sysutils/docker-freebsd is that it's very old. I can't use recent version of docker-compose, which is needed to run Docker4Drupal, forcing me to use Ubuntu.

What is the status of getting an updated Docker server on FreeBSD?

@Nikolai Who is this other group? Are they doing their work in public where we can follow their progress and work together?

@Jov Any updates on https://github.com/amutu/docker ? It seems to have stalled in May at Docker v1.10.0, which is from Jan 2016, so still a bit old.


In the mean time, can we make this port (sysutils/docker-freebsd) use https://github.com/amutu/docker ? That would allow docker-compose.yml v2.0 files to work.
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2017-07-15 14:07:00 UTC
Discussions are welcome and encouraged but should take place in appropriate places such as the mailing lists, IRC, etc, rather than on an issue tracker

The original request/report was committed in ports r441078, assign and close accordingly.